#2112 closed defect (fixed)

<sys/queue.h> is broken

Reported by: Sebastian Huber Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: tool/newlib Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

The STAILQ_LAST() macro uses offsetof() which is undefined.

In Newlib with have:

libc/sys/rtems/sys/queue.h
libc/include/sys/queue.h

Why do we have a RTEMS specific queue.h?

If nobody objects I will propose to the Newlib list:

  1. An updated "libc/include/sys/queue.h" based on the latest FreeBSD version. I will replace offsetof with offsetof from <stddef.h>.
  1. Remove the RTEMS specific "libc/sys/rtems/sys/queue.h".

Change History (4)

comment:1 Changed on Apr 3, 2013 at 12:01:24 PM by Joel Sherrill

Cc: Joel Sherrill added

comment:2 Changed on Apr 15, 2014 at 8:48:51 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed with Newlib 2.1.0.

comment:3 Changed on Nov 22, 2014 at 12:37:26 PM by Gedare Bloom

Milestone: 4.11

comment:4 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

Note: See TracTickets for help on using tickets.